﻿Type=Class
Version=3.5
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
'The buffer must be large enough to hold the result object.
End Sub

Public Sub Initialize
End Sub

Sub Handle(req As ServletRequest, resp As ServletResponse)
	If req.Method <> "POST" Then
		resp.SendError(500, "method not supported.")
		Return
	End If
	'we need to call req.InputStream before calling GetParameter.
	'Otherwise the stream will be read internally (as the parameter might be in the post body).
	Dim In As InputStream = req.InputStream
	Dim In As InputStream = req.InputStream
	Dim reqType As String = req.GetParameter("type")
	If reqType = "" Then
		resp.SendError(500, "Missing type parameter.")
		Return
	End If
	Select reqType
		Case "text"
			'Dim In As InputStream = req.InputStream
			Dim tr As TextReader
			tr.Initialize(In)
			'Dim In2 As InputStream = req.InputStream
			'Dim tr2 As TextReader
			'tr2.Initialize(In)
			Main.LoadCredential(tr.ReadAll)', tr2.ReadAll )
			Main.ConnectToDb
			
			If Main.conn=False Then
				resp.Write("MS SQL Connector not connected to SQL server!")
				Return
			End If
			
			
			
			If Main.validated=True Then
				Dim json33 As JSONGenerator
				If Main.UserList.Size > 0 Then
					'Dim jsonUser As JSONParser
                 	Dim newList As List
				 	newList.Initialize
				 	newList.add(Main.UserList.Get(0))
				 	newList.Add(Main.userlist.Get(0) & " successfully logged in!")
                 	json33.Initialize2(newList)
					resp.write(json33.Tostring)
				End If
				Main.gettime
				Main.TableView1.Items.Add(Array As String(Main.timenow & "UserId logged in: " & Main.UserId))
				
				If Main.permissions=False Then
					resp.Write(CRLF & CRLF & "But some permissions to the database are denied!" & CRLF & CRLF & Main.err)
					Main.gettime
					Main.TableView1.Items.Add(Array As String(Main.timenow & "Permissions denied to: " & Main.UserId & "   Details: " & Main.err))
'					Main.TableView1.ScrollTo(Main.TableView1.Items.Size-1)
			'		Main.ListView1.ScrollTo(Main.ListView1.Items.size - 1) 
				End If
			Else
				resp.Write("Login failed!")
				Main.gettime
				Main.TableView1.Items.Add(Array As String(Main.timenow & "Login failed! to: " & Main.UserId & "   Details: " & Main.err))
'				Main.TableView1.ScrollTo(Main.TableView1.Items.Size-1)
				'Main.ListView1.ScrollTo(Main.ListView1.Items.size - 1) 
			End If
			
		Case "file"
			Dim name As String = req.GetParameter("name")
			Dim out As OutputStream = File.OpenOutput(Main.filesFolder, name, False)
			File.Copy2(In, out)
			out.Close
			Main.gettime
			Dim kb As  String=NumberFormat((File.Size(Main.filesFolder, name)/1024),1,1)
			Main.TableView1.Items.Add(Array As String(Main.timenow & "Received file: " & name & ", size=" & kb & " KB"))
			Log("Received file: " & name & ", size=" & (File.Size(Main.filesFolder, name)/1024) & " KB")
			resp.Write("File received successfully.")
		
		Case "UpdateAcserials"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT sn from Aircraft_sn")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("sn"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateAcserials")
		End Try
		
		Case "UpdateFacility"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT f1 from Facility")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("f1"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateFacility")
		End Try
		
		Case "UpdateZone1"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT f1 from zone")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("f1"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateZone1")
		End Try
		
		Case "UpdateZone2"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT DISTINCT zone_ac from ac_zone WHERE f1 = 'Structural'")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("zone_ac"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateZone2")
		End Try
		
		Case "UpdateSide"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT f1 from side")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("f1"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateSide")
		End Try
		
		Case "UpdatePanels"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT f1 from accesspanels")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("f1"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdatePanels")
		End Try
		
		Case "UpdateType"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT type from defect_type")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("type"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateType")
		End Try
		
		Case "UpdateCat"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT category from defect_cat")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("category"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateCat")
		End Try
		
		Case "UpdateAta"
			Try
				Dim sqltest As SQL
				sqltest.Initialize2("net.sourceforge.jtds.jdbc.Driver", "jdbc:jtds:sqlserver://" & Main.txtIP.Text & ":" & Main.txtPort.Text & "/" & Main.txtDB.Text, Main.txtUser.text, Main.txtPwd.text)
				Dim json As JSONGenerator
				Dim rset As ResultSet = sqltest.ExecQuery("SELECT ata from ata_chapter")
				Dim l As List
				l.Initialize
				Do While rset.NextRow
       				l.Add(rset.GetString("ata"))
				Loop
				If l.Size > 0 Then
       				json.Initialize2(l)
					resp.write(json.Tostring)
				End If
		Catch
			Log("error UpdateAta")
		End Try
	End Select
End Sub







